Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.visitor
Interface OWLModelVisitor

All Known Implementing Classes:
  DLExpressivityChecker, DLSymbolGenerator, DLSyntaxBrowserTextGenerator, ExistentialFillerProvider, InlineResourceChecker, ModelMetrics, OWLModelVisitorAdapter, RDFAxiomRenderer, RDFAxiomRenderer.RenderableAxiomsChecker, RDFResourceRenderer, ResourceCopier

    public interface OWLModelVisitor

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jan 8, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

This visitor interface may be used when there is a need to perform operations on the objects in the `OWLModel`. The visitor pattern allows operations on the `OWLModel` to be added without changing or polluting the interfaces and implementations of the `OWLModel`. A typical use is to define an implementation of the visitor pattern, which is then used when iterating over the `RDFResources` and other elements in the `OWLModel`. Visitor is a recognised object oriented design pattern - further details may be found on page 331 of the Gamma et al "Design Patterns Elements of Reusable Object Oriented Software" book.

Method Summary
`void` | `visitOWLAllDifferent(OWLAllDifferent owlAllDifferent)`
`void` | `visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)`
`void` | `visitOWLCardinality(OWLCardinality owlCardinality)`
`void` | `visitOWLComplementClass(OWLComplementClass owlComplementClass)`
`void` | `visitOWLDataRange(OWLDataRange owlDataRange)`
`void` | `visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)`
`void` | `visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)`
`void` | `visitOWLHasValue(OWLHasValue owlHasValue)`
`void` | `visitOWLIndividual(OWLIndividual owlIndividual)`
`void` | `visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)`
`void` | `visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)`
`void` | `visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)`
`void` | `visitOWLNamedClass(OWLNamedClass owlNamedClass)`
`void` | `visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)`
`void` | `visitOWLOntology(OWLOntology owlOntology)`
`void` | `visitOWLSomeValuesFrom(OWLSomeValuesFrom someValuesFrom)`
`void` | `visitOWLUnionClass(OWLUnionClass owlUnionClass)`
`void` | `visitRDFDatatype(RDFSDatatype rdfsDatatype)`
`void` | `visitRDFIndividual(RDFIndividual rdfIndividual)`
`void` | `visitRDFList(RDFList rdfList)`
`void` | `visitRDFProperty(RDFProperty rdfProperty)`
`void` | `visitRDFSLiteral(RDFSLiteral rdfsLiteral)`
`void` | `visitRDFSNamedClass(RDFSNamedClass rdfsNamedClass)`
`void` | `visitRDFUntypedResource(RDFUntypedResource rdfUntypedResource)`
`void` | `visitSWRLAtomListIndividual(SWRLAtomList swrlAtomList)`
`void` | `visitSWRLIndividual(SWRLIndividual swrlIndividual)`

Method Detail

### visitOWLAllDifferent

    void visitOWLAllDifferent(OWLAllDifferent owlAllDifferent)

### visitOWLAllValuesFrom

    void visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)

### visitOWLCardinality

    void visitOWLCardinality(OWLCardinality owlCardinality)

### visitOWLComplementClass

    void visitOWLComplementClass(OWLComplementClass owlComplementClass)

### visitOWLDataRange

    void visitOWLDataRange(OWLDataRange owlDataRange)

### visitOWLDatatypeProperty

    void visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)

### visitOWLEnumeratedClass

    void visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)

### visitOWLHasValue

    void visitOWLHasValue(OWLHasValue owlHasValue)

### visitOWLIndividual

    void visitOWLIndividual(OWLIndividual owlIndividual)

### visitOWLIntersectionClass

    void visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)

### visitOWLMaxCardinality

    void visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)

### visitOWLMinCardinality

    void visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)

### visitOWLNamedClass

    void visitOWLNamedClass(OWLNamedClass owlNamedClass)

### visitOWLObjectProperty

    void visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)

### visitOWLOntology

    void visitOWLOntology(OWLOntology owlOntology)

### visitOWLSomeValuesFrom

    void visitOWLSomeValuesFrom(OWLSomeValuesFrom someValuesFrom)

### visitOWLUnionClass

    void visitOWLUnionClass(OWLUnionClass owlUnionClass)

### visitRDFDatatype

    void visitRDFDatatype(RDFSDatatype rdfsDatatype)

### visitRDFIndividual

    void visitRDFIndividual(RDFIndividual rdfIndividual)

### visitRDFList

    void visitRDFList(RDFList rdfList)

### visitRDFProperty

    void visitRDFProperty(RDFProperty rdfProperty)

### visitRDFSLiteral

    void visitRDFSLiteral(RDFSLiteral rdfsLiteral)

### visitRDFSNamedClass

    void visitRDFSNamedClass(RDFSNamedClass rdfsNamedClass)

### visitRDFUntypedResource

    void visitRDFUntypedResource(RDFUntypedResource rdfUntypedResource)

### visitSWRLIndividual

    void visitSWRLIndividual(SWRLIndividual swrlIndividual)

### visitSWRLAtomListIndividual

    void visitSWRLAtomListIndividual(SWRLAtomList swrlAtomList)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.